hello,
i have installed redhat linux 9 with kernel 2.4.20-8. Then i
downloaded kernel 2.6.4 and compiled it and add an entry on grub to
boot kernel 2.6.4 it boots very well with QM_MODULES warning. what can
i do? i also updated modutils to 2.4.27-1 version but unable to see
modprobe or lsmod output in 2.6.4 kernel.
Also i want to play a sound in 2.6.4 for that i came to know that i
should upgrade my kernl2.4 to ALSA support so i dowloaded
alsa-lib-1.0.4 alsa-utils-1.0.4 packages from alsa-project site.
the alsa-lib installed properly but alsa-util gives error while
configure command as
[root@localhost alsa-utils-1.0.4]# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking for ALSA CFLAGS...
checking for ALSA LDFLAGS... -lasound -lm -ldl -lpthread
checking for libasound headers version >= 0.9.0... found.
checking for snd_ctl_open in -lasound... no
configure: error: No linkable libasound was found.
[root@localhost alsa-utils-1.0.4]#

what can do for that?